For the complete documentation index, see llms.txt. This page is also available as Markdown.

getInflationReward

getInflationReward — Inflation rewards

post
/

Returns the inflation/staking reward for a list of addresses for an epoch. Parameters

  1. addresses (required) — Array of base-58 pubkeys.

  2. config (optional) — Optional configuration object. Every field is optional; omit the entire object to use defaults.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getInflationReward.

Example: getInflationRewardPossible values:
Responses
200

Successful getInflationReward response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getInflationReward",
    "params": [
      [
        "FbXMxhgoCYbZ4dWaCVzJWeFqW2tQ8sR82Hi8YyQrEaxR"
      ],
      {
        "epoch": 964
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "epoch": 964,
      "effectiveSlot": 416500000,
      "amount": 1234567,
      "postBalance": 99999999999,
      "commission": 5
    }
  ]
}

Last updated